%define Werror_cflags %nil

Name:           gnome-paint
Version:        0.4.0
Release:        %mkrel 7
Summary:        Easy to use paint program

Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://launchpad.net/gnome-paint
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
#from Debian
Source1:        %{name}.1
Patch0:         %{name}-deb-crash-in-toolbar.patch
Patch1:         %{name}-deb-ftbfs-format-security.patch
Patch2:         %{name}-deb-ftbfs-libs-lm.patch
Patch3:         %{name}-deb-handle-urls.patch
Patch4:         %{name}-deb-update_translations.patch
Patch5:         %{name}-alt-packaging.patch
Patch6:         %{name}-mga-desktop.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)

%description
Simple, easy to use paint program for GNOME.
gnome-paint is a program inspired by MS Paint and designed for 
GNOME (and maybe other) desktop environment. It could be used to 
manipulate images in a very simple way. With a very friendly 
user interface, gnome-paint is easy to get started for new users.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fisv
%configure
%make

%install
%make_install
#remove docs, use rpmbuild instead
rm -rf %{buildroot}%{_prefix}/doc
#remove unnecessary includedir files
rm -rf %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/
mv -f %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gp.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_mandir}/man1/%{name}*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.4.0-7.mga8
+ Revision: 1512604
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-6.mga7
+ Revision: 1297968
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-5.mga6
+ Revision: 951677
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 0.4.0-4.mga5
+ Revision: 808864
- new desktop file with GenericName

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 741057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 679745
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 alexl <alexl> 0.4.0-1.mga5
+ Revision: 616524
- imported package gnome-paint

